summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2017-05-29 11:09:53 +0200
committerLars Wendler <polynomial-c@gentoo.org>2017-05-29 11:14:44 +0200
commit01571ca1d7cd30450ba0d604459c94a9b7c8a21a (patch)
tree5f99d10f61b2473236998a006c42ff2c51fa4b3a /dev-util/strace
parentnet-analyzer/sancp: Fix DESCRIPTION. (diff)
downloadgentoo-01571ca1d7cd30450ba0d604459c94a9b7c8a21a.tar.gz
gentoo-01571ca1d7cd30450ba0d604459c94a9b7c8a21a.tar.bz2
gentoo-01571ca1d7cd30450ba0d604459c94a9b7c8a21a.zip
dev-util/strace: Bump to version 4.17
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'dev-util/strace')
-rw-r--r--dev-util/strace/Manifest1
-rw-r--r--dev-util/strace/strace-4.17.ebuild66
2 files changed, 67 insertions, 0 deletions
diff --git a/dev-util/strace/Manifest b/dev-util/strace/Manifest
index fb8395831b6..65914893d96 100644
--- a/dev-util/strace/Manifest
+++ b/dev-util/strace/Manifest
@@ -1,3 +1,4 @@
DIST strace-4.13.tar.xz 847032 SHA256 d48f732576c91ece36a5843d63f9be054c40ef59f1e4773986042636861625d7 SHA512 166d9b80ec093e049161ee5506a60c408d6f953d8fa04ba5dcb5105b0c9181282a2c28ff0a7acfa44880be44fd1dbde2319e895868a6edecd0121700a49dfdec WHIRLPOOL 0e5dd46610befc20fe9c0d65f665b304e7e512d647b2bd4b3cf73840197c052914d775296e01a738969e5ec84df94e19c491ab943e88040ca04063a4cd22a8ed
DIST strace-4.15.tar.xz 935500 SHA256 c0cdc094d6141fd9dbf6aaad605142d651ae10998b660fda57fc61f7ad583ca9 SHA512 15e96c31d901c94dc40de67a65365c6cc9a7b7b2bf96a735f5d20cbd54dc75d941e0c1da206aa76f6e98d1013bfeecb42800b23c9e146eaf756775d525fe1b66 WHIRLPOOL 9094d92b81d10bc0bece13c1f3704ab8bd2cd240f0187800ea6e67ccda4dcea5a09db0a39f9967819f88f1768d8d17b03a07b7a8e6bbe41754ce05eb01672f4e
DIST strace-4.16.tar.xz 966668 SHA256 98487cb5178ec1259986cc9f6e2a844f50e5d1208c112cc22431a1e4d9adf0ef SHA512 d1a7b782cb8196eb95b431b66f9b0eff7886869a7e3a4618d985f73b2eed7590ba73150b9c33e55ee5c65fc8f863588b64c5611dca7b5d7a4183110eaf4451d5 WHIRLPOOL 3406b4fa96d4113c620e5d179ae61def8dc8ca97f4255b8df6b344269f9fd2c0eae76d9dde6fcc10a6aebc192e4ccb0e130a60ee03f83bcef9be56632e400cb3
+DIST strace-4.17.tar.xz 1001808 SHA256 81f35b085fbb3cfa806eb521a8522ac3406deaccfe121ce35064bad268237419 SHA512 dab376d9c5ac7db98e864f3cfb165eeec714e3ea492f32ee873cebe01fbd3a0793db09983af1da6530480666a59973ccd9855d348e754be1eead9c0a5d524029 WHIRLPOOL 5d1aaa0405288695d73523eb0171e9c56e966db44a58dbd7ae6aed16af66a151be5ad58fb716ce2305ea9435e29dc36bd3be5ade73e09fef69fcbcf32599a036
diff --git a/dev-util/strace/strace-4.17.ebuild b/dev-util/strace/strace-4.17.ebuild
new file mode 100644
index 00000000000..11d04e224be
--- /dev/null
+++ b/dev-util/strace/strace-4.17.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+inherit flag-o-matic eutils toolchain-funcs
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="git://git.code.sf.net/p/strace/code"
+ EGIT_PROJECT="${PN}"
+ inherit git-2 autotools
+else
+ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~arm-linux ~x86-linux"
+fi
+
+DESCRIPTION="A useful diagnostic, instructional, and debugging tool"
+HOMEPAGE="https://sourceforge.net/projects/strace/"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="aio perl static unwind"
+
+LIB_DEPEND="unwind? ( sys-libs/libunwind[static-libs(+)] )"
+# strace only uses the header from libaio to decode structs
+DEPEND="static? ( ${LIB_DEPEND} )
+ aio? ( >=dev-libs/libaio-0.3.106 )
+ sys-kernel/linux-headers"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )
+ perl? ( dev-lang/perl )"
+
+src_prepare() {
+ if epatch_user || [[ ! -e configure ]] ; then
+ # git generation
+ ./xlat/gen.sh || die
+ ./generate_mpers_am.sh || die
+ eautoreconf
+ [[ ! -e CREDITS ]] && cp CREDITS{.in,}
+ fi
+
+ filter-lfs-flags # configure handles this sanely
+ use static && append-ldflags -static
+
+ export ac_cv_header_libaio_h=$(usex aio)
+
+ # Stub out the -k test since it's known to be flaky. #545812
+ sed -i '1iexit 77' tests*/strace-k.test || die
+}
+
+src_configure() {
+ # Set up the default build settings, and then use the names strace expects.
+ tc-export_build_env BUILD_{CC,CPP}
+ local v bv
+ for v in CC CPP {C,CPP,LD}FLAGS ; do
+ bv="BUILD_${v}"
+ export "${v}_FOR_BUILD=${!bv}"
+ done
+
+ econf $(use_with unwind libunwind)
+}
+
+src_install() {
+ default
+ use perl || rm "${ED}"/usr/bin/strace-graph
+ dodoc CREDITS
+}